// -----------------------------------------------------------------------------
// When having several themes, this file contains everything related to the
// default one.
// -----------------------------------------------------------------------------




/* ==========================================================================
   Author's custom styles
   ========================================================================== */

html,
body {

}

body {
	//transition: $color-transition;
}

h2 { font-size: 2.0rem; }

h3 {
	font-size: 1.6rem;
	font-weight: 600;
}

strong { font-weight: 500; }

// h1,
// h2,
// h3,
// h4 { transition: $color-transition; }

p,
dl,
label,
ul li {
	font-size: rem-calc(18);
	line-height: rem-calc(24);
	//transition: $color-transition;

	strong { font-weight: 400; }
}

ul li p { font-size: 1em; }

dl dt p,
dl dd p {
	font-size: 1em;
	line-height: 1em;
}

dt {
	float: left;
	margin-right: 20px;
}

nav ul {
	margin: 0;
	padding: 0;
	list-style: none;
}






/* ==========================================================================
   Helper classes
   ========================================================================== */

.hidden{display:none !important}.visuallyhidden{border:0;clip:rect(0 0 0 0);height:1px;margin:-1px;overflow:hidden;padding:0;position:absolute;width:1px}.visuallyhidden.focusable:active,.visuallyhidden.focusable:focus{clip:auto;height:auto;margin:0;overflow:visible;position:static;width:auto}.invisible{visibility:hidden}.clearfix:before,.clearfix:after{content:" ";display:table}.clearfix:after{clear:both}

//.showOnDesktop { display: block; }
.hideOnDesktop { display: none; }
.showOnTablet { display: none; }
//.hideOnTablet { display: block; }
.showOnMobile { display: none; }
//.hideOnMobile { display: block; }

.h--floatright { float: right; }







/* ==========================================================================
   $MEDIA-QUERIES
   ========================================================================== */


/* MOBILE LAYOUT DOWN
----------------------------------------------- */
@include media-breakpoint-down(medium) {


}



/* SMALL MOBILE LAYOUT DOWN
----------------------------------------------- */
@include media-breakpoint-down(small) {

}



/* SMALLER MOBILE LAYOUT DOWN
----------------------------------------------- */
@include media-breakpoint-down(xsmall) {

}



/* TABLET LAYOUT UP
----------------------------------------------- */
@include media-breakpoint-up(medium) {


}



/* TABLET LAYOUT
----------------------------------------------- */
@include media-breakpoint-between(medium, large) {


}



/* DESKTOP LAYOUT UP
----------------------------------------------- */
@include media-breakpoint-up(large) {


}



/* DESKTOP LAYOUT
----------------------------------------------- */
@include media-breakpoint-between(large, xlarge) {


}



/* BIG DESKTOP LAYOUT UP
----------------------------------------------- */
@include media-breakpoint-up(xlarge) {


}



/* BIGER DESKTOP LAYOUT UP
----------------------------------------------- */
@include media-breakpoint-up(xxlarge) {


}




/* ==========================================================================
   $RETINA@2X
   ========================================================================== */

@include device-pixel-ratio(2) {

}



/* ==========================================================================
   $RETINA@3X
   ========================================================================== */

@include device-pixel-ratio(3) {

}








/* MOBILE LAYOUT (PORTRAIT)
----------------------------------------------- */
@media only screen and (max-width: 767px) {

	//.showOnDesktop { display: block; }
	.hideOnDesktop { display: block; }
	//.showOnTablet { display: none; }
	.hideOnTablet { display: block; }
	.showOnMobile { display: block; }
	.hideOnMobile { display: none; }

}





/* ==========================================================================
   Print styles.
   Inlined to avoid the additional HTTP request:
   http://www.phpied.com/delay-loading-your-print-css/
   ========================================================================== */

@media print {
    *,*:before,*:after{background:transparent !important;color:#000 !important;box-shadow:none !important;text-shadow:none !important}a,a:visited{text-decoration:underline}a[href]:after{content:" (" attr(href) ")"}abbr[title]:after{content:" (" attr(title) ")"}a[href^="#"]:after,a[href^="javascript:"]:after{content:""}pre,blockquote{border:1px solid #999;page-break-inside:avoid}thead{display:table-header-group}tr,img{page-break-inside:avoid}img{max-width:100% !important}p,h2,h3{orphans:3;widows:3}h2,h3{page-break-after:avoid}
}